Page MenuHomePhabricator

Upgrade Vega to version 2.0
Closed, ResolvedPublic

Description

Upgrade to the latest published Vega version

Event Timeline

Yurik created this task.Jul 16 2015, 11:58 PM
Yurik raised the priority of this task from to Normal.
Yurik updated the task description. (Show Details)
Yurik added a project: Graphs.
Yurik added a subscriber: Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 11:58 PM

I have implemented v2 support in graphoid (needs to be deployed), and was hoping for the POST storage to be done (services team). I am now thinking that i will migrate to v2 before it gets ready.

Okay good, keep us posted :)

Yurik added a comment.Nov 17 2015, 6:59 PM

Today I deployed Graphoid with vega2 support. Now <graph vega="2"> can contain vega2 code, but it won't work yet - I still need to change the generated service URL, or you can try it manually:

If you create a page on any production wiki with <graph vega="2">...</graph>, and instead of using #1, which is the current way of getting the static image, and #2, which is what #1 becomes internally, use #3 to specify which vega version should be used. Supported values: vega0, vega1, vega2. The vega0 is a "magic" version - it tries version 2, and if failed, it attempts to automatically migrate v1 -> v2 by replacing "field":"data.xxx" with "field":"xxx". If that also fails, version 1 is used.

  1. https://www.mediawiki.org/api/rest_v1/page/graph/png/Extension%3AGraph%2FDemo/1940308/1533aaad45c733dcc7e07614b54cbae4119a6747.png
  2. https://graphoid.wikimedia.org/www.mediawiki.org/v1/png/Extension%3AGraph%2FDemo/1686336/1533aaad45c733dcc7e07614b54cbae4119a6747.png
  3. https://graphoid.wikimedia.org/www.mediawiki.org/v1/vega1/png/Extension%3AGraph%2FDemo/1686336/1533aaad45c733dcc7e07614b54cbae4119a6747.png
Yurik moved this task from Backlog to Prioritized on the Graphs board.Nov 25 2015, 9:14 PM
Yurik closed this task as Resolved.Dec 10 2015, 12:21 AM
Yurik claimed this task.
Yurik closed subtask T106103: Upgrade Graph ext to Vega 2.0 as Resolved.